Link Rev Users
Links a rev user to a rev org.
Authorization
auth-token All the DevRev APIs require a token to authenticate the user. Provide Authorization: Bearer <TOKEN> as a header to every API request.
How do I find my token?
In: header
Request Body
application/json
The ID of the Rev user.
idThe ID of the Rev organization to link the Rev user to.
idThe don of the rev org to link the rev user to. This is deprecated, use rev_org instead.
idThe don of the rev user to link. This is deprecated, use id instead.
idResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.devrev.ai/rev-users.link" \ -H "Content-Type: application/json" \ -d '{}'{
"rev_user": {
"created_by": {
"type": "dev_user",
"display_id": "string",
"id": "string",
"display_name": "string",
"display_picture": {
"display_id": "string",
"id": "string",
"file": {
"type": "string",
"name": "string",
"size": 0
}
},
"email": "string",
"full_name": "string",
"state": "active"
},
"created_date": "2023-01-01T12:00:00.000Z",
"display_id": "string",
"id": "string",
"modified_by": {
"type": "dev_user",
"display_id": "string",
"id": "string",
"display_name": "string",
"display_picture": {
"display_id": "string",
"id": "string",
"file": {
"type": "string",
"name": "string",
"size": 0
}
},
"email": "string",
"full_name": "string",
"state": "active"
},
"modified_date": "2023-01-01T12:00:00.000Z",
"object_version": 0,
"display_name": "string",
"display_picture": {
"display_id": "string",
"id": "string",
"file": {
"type": "string",
"name": "string",
"size": 0
}
},
"email": "string",
"full_name": "string",
"phone_numbers": [
"string"
],
"primary_identity": {
"type": "dev_user",
"display_id": "string",
"id": "string",
"display_name": "string",
"display_picture": {
"display_id": "string",
"id": "string",
"file": {
"type": "string",
"name": "string",
"size": 0
}
},
"email": "string",
"full_name": "string",
"state": "active"
},
"state": "active",
"artifacts": [
{
"display_id": "string",
"id": "string",
"file": {
"type": "string",
"name": "string",
"size": 0
}
}
],
"custom_fields": {},
"custom_schema_fragments": [
"don:core:dvrv-us-1:devo/example:custom_type_fragment/custom-type-fragment-id"
],
"description": "string",
"external_ref": "string",
"external_refs": [
"string"
],
"is_verified": true,
"rev_org": {
"type": "account",
"display_id": "string",
"id": "string",
"display_name": "string"
},
"stock_schema_fragment": "don:core:dvrv-us-1:devo/example:custom_type_fragment/custom-type-fragment-id",
"subtype": "string",
"tags": [
{
"tag": {
"display_id": "string",
"id": "string",
"name": "string",
"style_new": {
"color": "string"
},
"sync_metadata": {
"external_reference": "string",
"last_sync_in": {
"status": "failed",
"sync_unit": {
"display_id": "string",
"id": "string",
"external_sync_unit_name": "string",
"external_system_id": "string",
"external_system_name": "string",
"external_system_type": "adaas",
"is_archived": true,
"name": "string",
"sync_run": {
"mode": "initial",
"progress": {
"state": "completed"
},
"reserved_rate_limit_percentage": 0
},
"sync_type": "manual"
}
},
"origin_system": "string"
}
},
"value": "string"
}
]
}
}{
"detail": "string",
"message": "string",
"type": "artifact_already_attached_to_a_parent",
"existing_parent": "string",
"is_same": true
}{
"detail": "string",
"message": "string",
"type": "dev_org_deactivated"
}{
"detail": "string",
"message": "string",
"type": "forbidden",
"object_ids": [
"string"
]
}{
"detail": "string",
"message": "string",
"type": "not_found"
}{
"detail": "string",
"message": "string",
"type": "request_entity_too_large",
"max_bytes": 0
}{
"detail": "string",
"message": "string",
"type": "too_many_requests",
"retry_after": 0
}{
"detail": "string",
"message": "string",
"type": "internal_error",
"reference_id": "string"
}{
"detail": "string",
"message": "string",
"type": "service_unavailable"
}Get Rev User GET
Returns the Rev user of a Rev organization by its ID. **Required scopes:** - `rev_user:read` OR `rev_user:write` OR `rev_user:all`
List Rev Users (POST) POST
Returns a list of all Rev Users belonging to the authenticated user's Dev organization. **Required scopes:** - `rev_user:read` OR `rev_user:write` OR `rev_user:all`